package cn.efunbox.audio.entity;


import cn.efunbox.audio.consts.Status;
import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.sql.Timestamp;
import java.util.Date;

/**
 * 合作商家
 * Created by yao on 17-9-26.
 */


@Data
@ToString
@Entity
@DynamicInsert
@DynamicUpdate
public class Channel implements Serializable, Cloneable {

    @Id
    private Long id;

    //上级渠道/父节点编号
    @Column
    private Long idFather = 0L;

    //是否还有子节点
    @Column
    private Boolean hasSon;

    //合作商家，如小七
    @Column
    private String name;

    @Column
    private Integer status=Status.ONLINE.getCode();

    @Column
//    @Temporal(TemporalType.TIMESTAMP)
//    private Date created;
    private Timestamp created;

    public Object clone() throws CloneNotSupportedException {
        return super.clone();
    }


}
